def fon(x):
    return(1/(x**2+1))

def eul(n):
    x=0;Lx=[0]
    y=0;Ly=[0]
    h=1/n
    for i in range(1,n+1):
        y=y+h*fon(x)
        x=x+h
        Lx.append(x)
        Ly.append(y)
    return(Lx,Ly)


